Bullet Collision Detection & Physics Library: btSoftBodyTriangleCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
btSoftBodyTriangleCallback Class Reference

For each triangle in the concave mesh that overlaps with the AABB of a soft body (m_softBody), processTriangle is called. More...

`#include <btSoftBodyConcaveCollisionAlgorithm.h>`

Inheritance diagram for btSoftBodyTriangleCallback:
[legend]
Collaboration diagram for btSoftBodyTriangleCallback:
[legend]

## Public Member Functions
| btSoftBodyTriangleCallback (btDispatcher *dispatcher, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, bool isSwapped)
void | setTimeStepAndCounters (btScalar collisionMarginTriangle, const btCollisionObjectWrapper *triObjWrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual | ~btSoftBodyTriangleCallback ()
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)
void | clearCache ()
const btVector3 & | getAabbMin () const
const btVector3 & | getAabbMax () const
Public Member Functions inherited from btTriangleCallback
virtual | ~btTriangleCallback ()

## Public Attributes
int | m_triangleCount

## Private Attributes
btSoftBody * | m_softBody
const btCollisionObject * | m_triBody
btVector3 | m_aabbMin
btVector3 | m_aabbMax
btManifoldResult * | m_resultOut
btDispatcher * | m_dispatcher
const btDispatcherInfo * | m_dispatchInfoPtr
btScalar | m_collisionMarginTriangle
btHashMap< btHashKey< btTriIndex >, btTriIndex > | m_shapeCache

## Detailed Description

For each triangle in the concave mesh that overlaps with the AABB of a soft body (m_softBody), processTriangle is called.

Definition at line 64 of file btSoftBodyConcaveCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btSoftBodyTriangleCallback()

btSoftBodyTriangleCallback::btSoftBodyTriangleCallback | ( | btDispatcher * | dispatcher,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | bool | isSwapped )

Definition at line 46 of file btSoftBodyConcaveCollisionAlgorithm.cpp.

## ◆ ~btSoftBodyTriangleCallback()

btSoftBodyTriangleCallback::~btSoftBodyTriangleCallback | ( |  | ) |
| virtual

Definition at line 60 of file btSoftBodyConcaveCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ clearCache()

void btSoftBodyTriangleCallback::clearCache | ( |  | ) |

Definition at line 66 of file btSoftBodyConcaveCollisionAlgorithm.cpp.

## ◆ getAabbMax()

const btVector3 & btSoftBodyTriangleCallback::getAabbMax | ( |  | ) | const
| inline

Definition at line 99 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ getAabbMin()

const btVector3 & btSoftBodyTriangleCallback::getAabbMin | ( |  | ) | const
| inline

Definition at line 95 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ processTriangle()

void btSoftBodyTriangleCallback::processTriangle | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex )
| virtual

debug drawing of the overlapping triangles

Implements btTriangleCallback.

Definition at line 79 of file btSoftBodyConcaveCollisionAlgorithm.cpp.

## ◆ setTimeStepAndCounters()

void btSoftBodyTriangleCallback::setTimeStepAndCounters | ( | btScalar | collisionMarginTriangle,
|  | const btCollisionObjectWrapper * | triObjWrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut )

Definition at line 166 of file btSoftBodyConcaveCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_aabbMax

btVector3 btSoftBodyTriangleCallback::m_aabbMax
| private

Definition at line 70 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ m_aabbMin

btVector3 btSoftBodyTriangleCallback::m_aabbMin
| private

Definition at line 69 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ m_collisionMarginTriangle

btScalar btSoftBodyTriangleCallback::m_collisionMarginTriangle
| private

Definition at line 76 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ m_dispatcher

btDispatcher* btSoftBodyTriangleCallback::m_dispatcher
| private

Definition at line 74 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ m_dispatchInfoPtr

const btDispatcherInfo* btSoftBodyTriangleCallback::m_dispatchInfoPtr
| private

Definition at line 75 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ m_resultOut

btManifoldResult* btSoftBodyTriangleCallback::m_resultOut
| private

Definition at line 72 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ m_shapeCache

btHashMap<btHashKey<btTriIndex>, btTriIndex> btSoftBodyTriangleCallback::m_shapeCache
| private

Definition at line 78 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ m_softBody

btSoftBody* btSoftBodyTriangleCallback::m_softBody
| private

Definition at line 66 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ m_triangleCount

int btSoftBodyTriangleCallback::m_triangleCount

Definition at line 81 of file btSoftBodyConcaveCollisionAlgorithm.h.

## ◆ m_triBody

const btCollisionObject* btSoftBodyTriangleCallback::m_triBody
| private

Definition at line 67 of file btSoftBodyConcaveCollisionAlgorithm.h.

The documentation for this class was generated from the following files:

- btSoftBodyConcaveCollisionAlgorithm.h
- btSoftBodyConcaveCollisionAlgorithm.cpp